Message: Re: problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01 

Keywords: geant4.9.0 xray fluorescence advanced example still won't compile
Forum: Documentation and Examples
Re: None problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01 (dusan)
Re: None Re: problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01 (J. David Wright)
Re: None Re: problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01
Date: 16 Dec, 2007
From: Kelly Rakes <kellyrakes@yahoo.com>

I was excited to see the Geant4_9_1 release, but I have the same problem with the xray_fluorescence example. I downloaded the G4EMLOW.5.1 , and new geant4_9_1.zip is there something I am missing?

The error Compiling XrayFluoDataSet.cc ... XrayFluoDataSet.cc include\XrayFluoDataSet.hh(98) : error C2555: 'XrayFluoDataSet::LoadData':overriding virtual function return type differs and is not covariant from 'G4VEMDataSet::LoadData' c:/Geant4/geant4_9_1/source/processes/electromagnetic/lowenergy/include\G4VEMDataSet.hh(70) : see declaration f 'G4VEMDataSet::LoadData' make: *** [d:/g4work/tmp/WIN32-VC/XrayFluo/XrayFluoDataset.o] Error 2

It would be nice to have a resolution to this, This example seems to be the easiest to follow example of a response function being generated from a detector, but it doesn't work.

-Thanks in advance Kelly Rakes

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

 Add Message Add Message
to: "Re: problem with compilation of advanced/xray_fluorescence for geant4.9.0.p01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]